
From: "Luiz Fernando N. Capitulino" <lcapitulino@prefeitura.sp.gov.br>

drivers/net/wan/cycx_drv.c: In function `load_cyc2x':
drivers/net/wan/cycx_drv.c:430: warning: unsigned int format, long unsigned int arg (arg 3)


---

 25-akpm/drivers/net/wan/cycx_drv.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/wan/cycx_drv.c~cycx_drv-warning-fix drivers/net/wan/cycx_drv.c
--- 25/drivers/net/wan/cycx_drv.c~cycx_drv-warning-fix	Mon Apr  5 15:49:56 2004
+++ 25-akpm/drivers/net/wan/cycx_drv.c	Mon Apr  5 15:50:14 2004
@@ -425,7 +425,7 @@ static int load_cyc2x(struct cycx_hw *hw
 	if (cksum != cfm->checksum) {
 		printk(KERN_ERR "%s:%s: firmware corrupted!\n",
 				modname, __FUNCTION__);
-		printk(KERN_ERR " cdsize = 0x%x (expected 0x%x)\n",
+		printk(KERN_ERR " cdsize = 0x%x (expected 0x%lx)\n",
 				len - (int)sizeof(struct cycx_firmware) - 1,
 				cfm->info.codesize);
 		printk(KERN_ERR " chksum = 0x%x (expected 0x%x)\n",

_
